24h ticker for one market
Deprecated — use GET /v1/markets/{address}/stats, which returns the same 24h price figures under price, plus volume, liquidity and usage. This endpoint is kept, shape unchanged, until integrators have migrated.
Rolling 24h statistics. When the market has never traded, lastPrice falls back to the maker mid-price rather than reporting zero.
curl --request GET \
--url https://api.archer.exchange/v1/markets/{address}/ticker \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets/{address}/ticker"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets/{address}/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets/{address}/ticker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets/{address}/ticker"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets/{address}/ticker")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets/{address}/ticker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"baseVolume24h": "<string>",
"high24h": "<string>",
"lastPrice": "<string>",
"low24h": "<string>",
"priceChange24h": "<string>",
"priceChangePercent24h": "<string>",
"timestamp": 123,
"volume24h": "<string>"
}{
"error": "INVALID_PARAMS",
"message": "Invalid market address: xyz"
}{
"error": "MARKET_NOT_FOUND",
"message": "Market not found: 5Ggx...abc"
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}{
"error": "INTERNAL_ERROR",
"message": "Internal error: ..."
}Authorizations
Path Parameters
Market address.
Response
24h statistics.
Rolling 24h statistics for one market. All prices and sizes are human decimals.
Base-denominated volume over 24h.
Highest traded price in 24h.
Most recent traded price. Falls back to the maker mid-price when the market has no trades yet.
Lowest traded price in 24h.
Absolute change over 24h.
Percent change over 24h.
When these figures were computed (unix ms).
Quote-denominated volume over 24h.
curl --request GET \
--url https://api.archer.exchange/v1/markets/{address}/ticker \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.archer.exchange/v1/markets/{address}/ticker"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.archer.exchange/v1/markets/{address}/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archer.exchange/v1/markets/{address}/ticker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archer.exchange/v1/markets/{address}/ticker"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archer.exchange/v1/markets/{address}/ticker")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archer.exchange/v1/markets/{address}/ticker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"baseVolume24h": "<string>",
"high24h": "<string>",
"lastPrice": "<string>",
"low24h": "<string>",
"priceChange24h": "<string>",
"priceChangePercent24h": "<string>",
"timestamp": 123,
"volume24h": "<string>"
}{
"error": "INVALID_PARAMS",
"message": "Invalid market address: xyz"
}{
"error": "MARKET_NOT_FOUND",
"message": "Market not found: 5Ggx...abc"
}{
"error": "RATE_LIMITED",
"message": "Too many requests. Please slow down."
}{
"error": "INTERNAL_ERROR",
"message": "Internal error: ..."
}